Last modified: 2012-10-04 09:53:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 33599 - Add Siyam Rupali Font for Bengali to WebFonts
Add Siyam Rupali Font for Bengali to WebFonts
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
WebFonts (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Santhosh Thottingal
:
Depends on:
Blocks: 40760
  Show dependency treegraph
 
Reported: 2012-01-09 04:49 UTC by Jayanta Nath
Modified: 2012-10-04 09:53 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Jayanta Nath 2012-01-09 04:49:07 UTC
Please add Bengali Siyam Rupali Font for Extension:WebFonts. The font developed by Tanbin Islam Siyam and released at http://www.omicronlab.com/bangla-fonts.html. Santosh and Amir are in this loop.

Jayanta Nath
Admin,Bengali Wikipedia
http://bn.wikipedia.org/wiki/User:Jayantanth
Comment 1 Santhosh Thottingal 2012-01-17 06:48:48 UTC
Font added in r109112. It will be available in translatewiki.net within few hours. Please test and confirm.
Comment 2 Jayanta Nath 2012-01-17 06:51:00 UTC
Thank you Santosh.
Comment 3 Jayanta Nath 2012-01-17 07:55:55 UTC
In translatewiki.net,it is working fine. When will be available in Bengali project?
Comment 4 Siebrand Mazeland 2012-01-17 08:25:05 UTC
This will probably be planned for deployment next Monday at 18:00 UTC.
Comment 5 Tanvir Rahman 2012-01-24 09:34:13 UTC
Please make this font the default webfont for Bengali projects, it's well known to readers and good enough for Bengali scripts.
Comment 6 Santhosh Thottingal 2012-01-24 10:19:37 UTC
In reply to comment #5)
> Please make this font the default webfont for Bengali projects, it's well known
> to readers and good enough for Bengali scripts.

Jayntha, do you agree with this,?if you can confirm that there is no disagreement on this from community, this can be done.
Comment 7 Jayanta Nath 2012-01-24 10:26:12 UTC
yes , I am agree with this.(here default means, anyone can change to "Lohit" or other font from drop-down menu ). For safe side we can wait one week for that. the proposal posted in our VP.
Comment 8 Mayeenul Islam 2012-01-24 16:47:52 UTC
পৃথিবী যখন এমন্তর সমস্যায় জর্জরিত, তখন যেন কিভাবে সতন্ত্র কী যেন সন্ত সোন্তুষ্টি থেকে দেখতে পায়, যা সুনামি ছিদ্র দি্রেয়ে তার্রিজর্জরিত্রক্রূড় হাস্রির ১২৩৪৫৬৭৮৯০১২৩১২৩১২৩১২৩,,, ,ং৪৩৪২৩?!ৱ;:”’ৰ/?.>,<মংয ১২!ঁ#৳%ঃৎ*()_++-+_+_+=ঙয়ঢফঠছঝঞঘঢ়[]রঊীঅ।ভখথধ;’ৱ্যৌলৈণষশ<>/ৎৃ<br>
-----------------<br>
Raw text to check the texture of the text with Siyam Rupali. And I found the glyph of Siyam Rupali good enough for all the characters and numerals. So, I think it's a go. :)

Thanks to all those who initiated it. Thanks to [Pota]Siyam.
Comment 9 Santhosh Thottingal 2012-01-27 12:18:45 UTC
We have a deployment planned for Jan 30 monday. If you can confirm this change before that, we can deploy it on that day. Otherwise it may get delayed because of FOSDEM and Pune hackathon.
Comment 10 Tanvir Rahman 2012-01-30 03:53:03 UTC
(In reply to comment #9)
> We have a deployment planned for Jan 30 monday. If you can confirm this change
> before that, we can deploy it on that day. Otherwise it may get delayed because
> of FOSDEM and Pune hackathon.

Please implement this change. There is no disagreement against that change in local village pump. Thanks!
Comment 11 Santhosh Thottingal 2012-01-30 03:59:04 UTC
Changes done in r110266. I will ask Niklas to deploy this change today.
Comment 12 Jayanta Nath 2012-01-30 04:34:25 UTC
Thanks Santhosh!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links